Training jobs
List training jobs
GET
/
v1
/
training_jobs
List training jobs
curl --request GET \
--url https://api.veri.studio/v1/training_jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/training_jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/training_jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"method": "<string>",
"output_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"base_model": "<string>",
"dataset_id": "<string>",
"reward_function_id": "<string>",
"hyperparameters": {
"learning_rate": 123,
"num_epochs": 123,
"max_steps": 123,
"rollouts_per_prompt": 123,
"kl_coef": 123,
"max_prompt_length": 123,
"max_response_length": 123,
"global_batch_size": 123,
"seed": 123,
"use_unsloth": true,
"lora_rank": 123,
"lora_alpha": 123,
"load_in_4bit": true,
"max_turns": 123,
"max_seq_len": 123
},
"base_image": "<string>",
"entrypoint": "<string>",
"gpu": {
"type": "<string>",
"count": 123
},
"gpu_requested": {
"type": "<string>",
"count": 123
},
"provider": "<string>",
"region": "<string>",
"num_nodes": 123,
"error": {
"code": "<string>",
"message": "<string>"
},
"dashboard_url": "<string>",
"download_url": "<string>",
"wandb_run_url": "<string>",
"current_step": 123,
"total_steps": 123,
"current_loss": 123,
"cost_usd": 123,
"duration_seconds": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Query Parameters
Available options:
queued, provisioning, configuring, running, completed, failed, cancelled ⌘I
List training jobs
curl --request GET \
--url https://api.veri.studio/v1/training_jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/training_jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/training_jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"method": "<string>",
"output_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"base_model": "<string>",
"dataset_id": "<string>",
"reward_function_id": "<string>",
"hyperparameters": {
"learning_rate": 123,
"num_epochs": 123,
"max_steps": 123,
"rollouts_per_prompt": 123,
"kl_coef": 123,
"max_prompt_length": 123,
"max_response_length": 123,
"global_batch_size": 123,
"seed": 123,
"use_unsloth": true,
"lora_rank": 123,
"lora_alpha": 123,
"load_in_4bit": true,
"max_turns": 123,
"max_seq_len": 123
},
"base_image": "<string>",
"entrypoint": "<string>",
"gpu": {
"type": "<string>",
"count": 123
},
"gpu_requested": {
"type": "<string>",
"count": 123
},
"provider": "<string>",
"region": "<string>",
"num_nodes": 123,
"error": {
"code": "<string>",
"message": "<string>"
},
"dashboard_url": "<string>",
"download_url": "<string>",
"wandb_run_url": "<string>",
"current_step": 123,
"total_steps": 123,
"current_loss": 123,
"cost_usd": 123,
"duration_seconds": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}
